<?php
declare(strict_types=1);

/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link      https://cakephp.org CakePHP(tm) Project
 * @since     3.0.0
 * @license   https://opensource.org/licenses/mit-license.php MIT License
 */
namespace DataCenter\View;

use Cake\View\View;

/**
 * Data Center View
 *
 * @link https://book.cakephp.org/4/en/views.html#the-app-view
 *
 * @property \DataCenter\View\Helper\TagHelper $Tag
 */
class DataCenterView extends View
{
    /**
     * Initialization hook method.
     *
     * Use this method to add common initialization code like loading helpers.
     *
     * e.g. `$this->loadHelper('Html');`
     *
     * @return void
     */
    public function initialize(): void
    {
        $this->loadHelper('Form', [
            'templates' => 'DataCenter.bootstrap_form',
        ]);
        $this->loadHelper('DataCenter.Tag');
    }
}
